Application: gvSIG desktop - gvSIG bugs #3096
Problems using Unsupervised Classification
01/07/2015 01:27 PM - Mario Carrera

Status: New % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:

Category: Geoprocess

Target version:

Severity: Minor Add-on version:

gvSIG version: 2.1.0 Add-on build:

gvSIG build: 2259 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

There have been these problems using the Unsupervised Classification on gvSIG 2.1 on a Landsat image:
- The results are moved from the original location, they are not in the correct place.

- The final area is not complete (it contains NoData values at right side and at the bottom of the image).

- The top of the image hasn't been rasterized.

It worked good in gvSIG 1.12.

| attach the log file.

Related issues:

Related to Application: gvSIG desktop - gvSIG bugs # 3097: Wrong output regio... Closed 01/08/2015
Related to Application: gvSIG desktop - gvSIG bugs # 1987: Rasterize result s... Won't fix 08/07/2013
History

#1 - 01/07/2015 01:49 PM - Alvaro Anguix

- Category changed from Raster to Geoprocess

#2 - 01/08/2015 12:53 PM - Antonio Falciano

| can reproduce the issue: the output raster is shifted of one pixel in SW direction and its spatial extent is not complete (see also #3097).

#3 - 01/08/2015 12:58 PM - Antonio Falciano

See also #1987.

#4 - 01/08/2015 01:10 PM - Alvaro Anguix

- Related to gvSIG bugs #3097: Wrong output region if "Use extent from view" added

#5 - 01/08/2015 01:10 PM - Alvaro Anguix
- Related to gvSIG bugs #1987: Rasterize result shifted added

#6 - 01/08/2015 01:17 PM - Mario Carrera
- File Model_3.jpg added
- File Model_2.jpg added

| attach the input (Model_2.jpg) and output (Model_3.jpg) images to see the results.

#7 - 01/08/2015 03:39 PM - Antonio Falciano

Hi Mario,
maybe the shift is too wide because of #2343. Have you tried the same task without maximizing the view? What's happened in this case?

#8 - 01/09/2015 01:39 PM - Mario Carrera

Hi Antonio,

I'm going to ask the user who tested it and | tell you about the results.

#9 - 01/10/2015 12:07 PM - Antonio Falciano
- File L7 _after_UC.jpg added
- File L7 _before_UC.jpg added

Hi Mario,

I've tried to replicate the issue(s) under very similar conditions ;) with the view maximized (see screenshots in attachment), "Use the view extent" in the
Analysis region and the same cell size of the input layers. It seems that it doesn't depend by #2343. There's a less consistent shift in the NS direction in
my case and the output extent is cut symmetrically along the X axis. A further issue that affects the "Unsupervised classification" is #3098, because the
second output is a table.

#10 - 02/25/2015 02:06 PM - Alvaro Anguix
- Target version set to 2.2.0-2311-rc2

- Assignee set to Francisco Diaz Carsi

#11 - 03/13/2015 12:12 PM - Alvaro Anguix
- Target version deleted (2.2.0-2311-rc2)

#12 - 06/20/2016 11:57 AM - Joaquin del Cerro Murciano
- Assignee deleted (Francisco Diaz Carsi)

Files

gvSIG-clasificacion-no-supervisada.log 365 KB 01/07/2015 Mario Carrera
Model_2.jpg 83 KB 01/08/2015 Mario Carrera
Model_3.jpg 96.6 KB 01/08/2015 Mario Carrera
L7_before_UC.jpg 290 KB 01/10/2015 Antonio Falciano
L7_after_UC.jpg 267 KB 01/10/2015 Antonio Falciano
